Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449442 - [java overlay] dev-java/gnu-classpath-0.99: ERROR: Package ecj-gcj-* was not found!
Summary: [java overlay] dev-java/gnu-classpath-0.99: ERROR: Package ecj-gcj-* was not ...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 539734
  Show dependency tree
 
Reported: 2012-12-31 12:32 UTC by Juergen Rose
Modified: 2015-03-19 10:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
BUILD.LOG (build.log,2.31 KB, text/x-log)
2015-03-18 02:16 UTC, Zhu Sha Zang
Details
ENVIRONMENT (environment,142.34 KB, text/plain)
2015-03-18 02:16 UTC, Zhu Sha Zang
Details
INFO (info,12.39 KB, text/plain)
2015-03-18 02:17 UTC, Zhu Sha Zang
Details
PQV (pqv,130 bytes, text/plain)
2015-03-18 02:17 UTC, Zhu Sha Zang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2012-12-31 12:32:32 UTC
'emerge gnu-classpath' fails with:

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] dev-java/gnu-classpath-0.99:0.99::java-overlay [0.98-r3:0.98::gentoo] USE="alsa doc examples gmp gstreamer gtk qt4 xml -debug -dssi -gconf -gjdoc" 0 kB

Total: 1 package (1 in new slot), Size of downloads: 0 kB


>>> Verifying ebuild manifests

>>> Emerging (1 of 1) dev-java/gnu-classpath-0.99 from java-overlay
 * classpath-0.99.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                                              [ ok ]
 * Using: sun-jdk-1.6
>>> Unpacking source...
>>> Unpacking classpath-0.99.tar.gz to /var/tmp/portage/dev-java/gnu-classpath-0.99/work
>>> Source unpacked in /var/tmp/portage/dev-java/gnu-classpath-0.99/work
>>> Preparing source in /var/tmp/portage/dev-java/gnu-classpath-0.99/work/classpath-0.99 ...
 * Applying gjdoc_support.patch ...                                                                                                                                        [ ok ]
main::scan_file() called too early to check prototype at /usr/bin/aclocal-1.11 line 643.
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-java/gnu-classpath-0.99/work/classpath-0.99 ...
!!! ERROR: Package ecj-gcj-* was not found!
 * ERROR: dev-java/gnu-classpath-0.99 failed (configure phase):
 *   Could not find classpath for ecj-gcj-*. Are you sure its installed?



Indeed ecj-gcj is not installed. But if it is needed by gnu-classpath-0.99, why it is not installed as a dependency. In /var/lib/layman/java-overlay/dev-java/gnu-classpath/gnu-classpath-0.99.ebuild I find:

DEPEND="app-arch/zip
                || ( dev-java/eclipse-ecj dev-java/ecj-gcj )
                >=dev-java/java-config-2.1.11
                gjdoc? ( !!dev-util/pccts )
                gtk? (
                        x11-libs/libXrender
                        || ( >=x11-libs/libXtst-1.1.0 <x11-proto/xextproto-7.1 )
                        x11-proto/xproto
                )
                >=virtual/jdk-1.5
                ${RDEPEND}"
Comment 1 Juergen Rose 2012-12-31 12:37:35 UTC
root@orca:/root(19)# emerge --info '=dev-java/gnu-classpath-0.99'
Portage 2.1.11.38 (default/linux/amd64/10.0/desktop, gcc-4.6.3, glibc-2.16.0, 3.6.10-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.6.10-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_W3520_@_2.67GHz-with-gentoo-2.2
Timestamp of tree: Mon, 31 Dec 2012 10:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39-r1
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x11 science bicatali java-overlay sunrise lisp voyageur x-portage x-cpan g-octave
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL Intel-SDP dlj-1.1 skype-eula skype-4.0.0.7-copyright googleearth AdobeFlash-10.3 cadsoft Oracle-BCLA-JavaSE MakeMKV-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news noclean parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/science /var/lib/layman/bicatali /var/lib/layman/java-overlay /var/lib/layman/sunrise /var/lib/layman/lisp /var/lib/layman/voyageur /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit R X Xaw3d a52 aac acl acpi admin afs alsa amd64 ao apache2 apng applet archive arpack asf aspell assistant atlas audacious audiofile automap automount bash-completion berkdb blas blast bluetooth bluray boo boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli consolekit corba cracklib crypt css cuda cups curl cxx daap db dbi dbm dbus declarative designer devhelp device-mapper dga dia dirac djvu doc dot dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds egl elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras faac faad fam ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpm fpx fts3 fuse g3dvl gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp git glade glib glpk gml gmp gnome gnome-keyring gnome-print gnuplot gnutls gold gphoto2 gpm grammar graphics graphtft graphviz grass gsl gsm gstreamer gtk gtk3 gudev guile harness hddtemp hdf hdf5 hdri html http httpd hvm hwdb iconv icq icu id3 id3tag ide imagemagick imap inotify ipod ipv6 ithreads jabber jadetex java java6 jbig john jpeg jpeg2k kate kdepim kdrive kerberos keymap kpathsea kqemu kvm ladspa lame lapack latex lcms ldap lensfun libffi libkms libnotify libsamplerate live lm_sensors lua lzo mad mail maildir mapnik math matroska media-library mercurial mikmod mmx mmxext mng mod modules mono motif mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musepack musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking networkmanager nfs nls nntp nptl nsplugin ntfs ntp numpy nvidia obex objc ocaml ocr octave odbc ofa ogdi ogg openexr opengl openmp overview pae pam pango pcre pda pdf perl plasma plotutils plugins png podcast policykit portaudio posix postgres postscript ppds pppd preview-latex proj projectm projectx pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime raw readline reiserfs reports rhythmbox rle romio rpc rrdcgi rrdtool samba sasl schroedinger science sdk sdl secure-delete semantic-desktop server session shout sip slang slp smart smbclient smp sms sndfile snmp soap sockets sound soup sox speex spell sql sqlite sse sse2 sse4 ssl ssse3 startup-notification stlport subtitles subversion sudo suexec svg svm swig szip t1lib tcl tcpd tex tex4ht texmacs tgif theora thesaurus thinkpad threads thunderbird tidy tiff tk tools truetype udev udisks unicode upower usb userlocales utempter v4l vaapi vala vdpau video virtualbox visio vorbis wav webdav webdav-serf webkit wmf wxwidgets x264 xa xattr xcb xemacs xetex xext xft xine xml xmlreader xmlrpc xpm xv xvid xvmc yaml youtube zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_core authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm so socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="canon fuji ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="caps lvm mdraid syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de fr ru" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON




root@orca:/root(20)# emerge -pqv '=dev-java/gnu-classpath-0.99'
[ebuild  NS   ] dev-java/gnu-classpath-0.99 [0.98-r3] USE="alsa doc examples gmp gstreamer gtk qt4 xml -debug -dssi -gconf -gjdoc" 



!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.38"
JAVACFLAGS="-nowarn" COMPILER=""
Comment 2 Zhu Sha Zang 2015-03-18 02:16:30 UTC
Created attachment 399166 [details]
BUILD.LOG
Comment 3 Zhu Sha Zang 2015-03-18 02:16:47 UTC
Created attachment 399168 [details]
ENVIRONMENT
Comment 4 Zhu Sha Zang 2015-03-18 02:17:02 UTC
Created attachment 399170 [details]
INFO
Comment 5 Zhu Sha Zang 2015-03-18 02:17:17 UTC
Created attachment 399172 [details]
PQV
Comment 6 Zhu Sha Zang 2015-03-18 02:17:39 UTC
Same here:

Portage 2.2.18 (python 2.7.9-final-0, default/linux/amd64/13.0, gcc-4.9.2, glibc-2.20-r2, 3.19.1-asgard x86_64)
=================================================================
System uname: Linux-3.19.1-asgard-x86_64-Intel-R-_Core-TM-_i5_CPU_M_460_@_2.53GHz-with-gentoo-2.2
KiB Mem:     3844248 total,    741472 free
KiB Swap:    3036248 total,   2776784 free
Timestamp of repository gentoo: Wed, 18 Mar 2015 00:30:01 +0000
sh bash 4.3_p33-r2
ld GNU ld (Gentoo 2.25 p1.0) 2.25
app-shells/bash:          4.3_p33-r2::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.3.5-r1::gentoo, 3.4.3::gentoo
dev-util/cmake:           3.1.0::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.11::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25::gentoo
sys-devel/gcc:            4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.6-r1::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe -Wstack-protector"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe -Wstack-protector"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --keep-going=y --with-bdeps=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="256-color R X Xaw3d a52 aalib acpi addbookmarks additions adobe-cff ads aesicm aff aio airdrop-ng airgraph-ng alac alisp all_sfx alsa amd64 amr animation-rtl ao aosd apache2 apbs apng archive asf asm aspell asyncns athena audit auto-hinter autoipd autotrace avahi background bash-completion bashlogger battery bazaar berkdb bitmap bittorrent bl blender bluetooth bluez bookmarks box branding bs2b bsf bzip2 c++0x cacert cairo calendar canna canna-2ch caps caps-ng cb charset chart chm cjk cli cmake compat compress connectivity console consolekit contacts context contrast contrib corefonts cracklib crash-reporter crc crda creds cron crypt cryptsetup cscope css csv ctype curl curlwrappers cvs cxx daap dap databasedesigner dbi dbus declarative designer designer-plugin desktopglobe detex device-mapper dhcp dia display-manager djvu dlna dmx dns docbook dot dpi dri drm dropbox dts dv dvb dvd dvdr dvi dvi2tty dvipdfm eap-sim eap-tls ebook ecap edd egl elbeem embedded emf emotion emovix enca enchant encode eolconv epydoc equalizer escreen espeak ethumb evdev excel exif expat extensions extra extraengine extras faac faad fakevim fam farp fastscroll fbcon filelog firefox firefox-bookmarks flac flash flickr fontconfig fontforge fonts foomaticdb fortran fortran2003 fpx freeimage freetds ftp fuse gallium game-engine games gbm gcj gcl gcrypt gd gdbm geocode geoip geonames gflags ggi gif git gkrellm glade glamor gles gles1 gles2 glew glib glpk gmail gme gmp gnumeric gnuplot go google googledrive gpg gphoto2 gpl gpm gpsd gpssync gpu grammar graphics graphite graphviz gsf gsl gsm gsmloc gtalk gtk gtk3 gtkhtml gtkspell gtkstyle gts gudev gui gzip gzip-el hbci hddtemp hdf5 hdri hesiod highlight hipe hires-icons histman history holidays hostip hpcups hpijs html htmlreport http httpd httppower humanities hwdb ices icons iconv icoutils icq id3 id3tag ide idn image imaging imap imlib infinality inkjar inotify introspection iostats ipc iplsrc iptc ipv6 ipython irc isag jabber jack jadetex java javascript jbig jemalloc jit joystick jpeg judy justify kasumi kate kde kdrive keymap kig-scripting kipi konqueror kpoll ladspa lame lapack laptop lash lastfm lastfmfingerprint lastfmradio latex lcms lensfun libass libav libcaca libcanberra libevent libffi libguess libkms liblockfile libmpv libnotify libopts libtiger libv4l libv4l2 libvisual listen-queue live lm_sensors lock logrotate lqr lua lua-cairo lua-imlib luajit luatex lv2 lxde lyx lzma lzo mac mad madde madwifi manual map marble math mathml matplotlib matroska matrox mbox md5 md5sum mdnsresponder-compat melt mercurial messages metacontacts metalink metis mfd-rewrites minizip mlib-update mms mmx mmxext mng modules mount mouse mozdom mozilla mozsha1 mp3 mp3tunes mp4 mpeg mpg123 mplayer mrim mule multilib multimedia multiprocess multislot multitarget multiuser musepack music musicbrainz nano-syntax nas nat nat-pmp ncat ncurses ndiff neXt netbeans netlink netpbm nettle network newmousefocus nlpsolver nls nmap-update nntp nominatim notebook nping npp nptl nsplugin nss numpy nut nvcontrol ocaml ocr octave odk ofa offensive offlinehelp ofx ogg ogg123 ogm ogre okteta okular omega oniguruma openal openct opencv opendbx openexr openft opengl openid openinventor openipmi openmedia openmp openpgp openrc opensc opensm openssl opensslcrypt openstreetmap opensync openvpn openxml opera optimisememory optimization optimized-qmake orc origin oscar osdmenu osmesa otr ots ovftool p2p pam pango pcap pcntl pcre16 pda pdf pep8 perforce perl pgf phonehome php physfs playdar player playlist playtools plazes plotutils plugin-autowep plugin-btscan plugin-checksum plugin-doat plugin-dot15d4 plugin-fishlim plugin-ptw plugin-spectools plugin-sysinfo plugin-syslog plugins png pnm pogooglue policykit pop portmon posix postgres postproc postscript powersave ppds ppp prediction privacy privacylists private-headers privatestorage profiler profiling pronounce ps psf pstoedit pstricks publishers publishsubscribe pulseaudio pvr pyflakes pygments pylint pyqt4 pythia8 python python3 pyx qalculate qdbm qhull qimageblitz qmake qml qq qqwry qrcode qrupdate qscintilla qt-dbus qt3support qt4 qt5 qthelp quicklaunch quicktime quotes quvi qwt radio raptor rar rcs rdesktop readline realtime recode redeyes registration remotecontrol remoteosd rendering replaygain resolver reviewboard rfc3779 romio rope rostersearch rpc rplay rss rtc rtf rtmp rtsp rubrica sasl sbc scale0tilt scanfolder scanner schroedinger science scipy script scripts scrobbler sctp sdk sdl sdl-image sdl-sound sdlaudio sdlgfx seamless-hbars secure secure-delete security semantic-desktop sendto sensord session shared-dricore shine shm shorten shout sidebar sip skyhook skype slang slit smbclient smbsharemodes smbtav2 smi smime smp sms smtp smux sna sndfile snmp soap socialweb sockets socks5 sound sourceview sox sparse speex spell sql sqlite sqlite3 sse sse2 sse3 sse4_1 ssh ssl ssse3 staging stars startup-notification stats stream stroke strong-optimization subversion svg system-sqlite systemtap t1lib taglib talkfilters tcl tcpd tcpreplay tdb tellico templates tex tex4ht texmacs themes theora thesaurus thin-splines threads thunderbird tidy tiff tint2conf tinyxml tk toolame toolbar toolkit-scroll-bars tools tor tordns tproxy truetype tta twitgin twitter twolame udev udis86 udisks uim ukit unicode unique upower urlpicpreview urwid usb utils uvm uxa v4l v8 vaapi valgrind vamp vcd vcdx vf-dlopen video view-captcha vim vim-pager vim-syntax visual vix vkontakte vlm vmware-tools vnc voice volpack vorbis vpx wallpapers wav waveout wavpack wayland wddx weather-metar weather-xoap webdav-neon webgl webm webp webrtc-aec whiteboarding widgets wifi wineappdb wireshark wma wma-fixed wmf word-perfect wordperfect wpg wps wxwidgets wyfv x264 x265 xanim xattr xbase xcap xcomposite xdg xetex xface xforward xfs xft xgetdefault xhtml xim xindy xine xinerama xkb xls xml xmldoclet xmlpatterns xmlreader xmlrpc xmlwriter xmp xmpp xmppuriqueries xnest xorg xorgmodule xosd xpm xps xrandr xrender xscreensaver xterm xv xvfb xvid yahoo yahoo-geo yaz youtube ziffy zip zlib zsh-completion zvbi" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="lbmethod_bytraffic cgi actions alias auth_basic auth_digest authn_anon authn_core authn_dbd authn_dbm authn_default authn_file authz_core authz_dbm authz _default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias slotmem_shm unixd socache_shmcb" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ricoh samsung spca50x" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="nss" DVB_CARDS="dibusb-usb1 dibusb-usb2 usb-dib0700" ELIBC="glibc" ENLIGHTENMENT_MODULES="access backlight battery clock comp conf-applications conf-dialogs conf-display conf-edgebindings conf-interaction conf-intl conf-keybindings conf-menus conf-paths conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers connman cpufreq dropshadow everything fileman fileman-opinfo gadman ibar ibox illume2 mixer msgbus notification pager quickaccess shot start syscon systray tasks temperature tiling winlist wizard xkbswitch" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse evdev synaptics joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" NETBEANS_MODULES="apisupport cnd dlight extide enterprise ergonomics groovy java mobility profiler websvccommon javacard javafx" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3" RUBY_TARGETS="ruby19 ruby20 ruby21 ruby22" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="vesa vga v4l fbdev intel i915 modesetting nouveau i965" XTABLES_ADDONS="account chaos condition delude dhcpmac fuzzy geoip iface ipmark ipp2p ipv4options length2 logmark lscan pknock psd quota2 rawnat steal sysrq tarpit tee checksum dnetmap echo gradm ipset4"
USE_PYTHON="2.7 3.2 3.3"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 James Le Cuirot gentoo-dev 2015-03-18 22:23:30 UTC
Zhu Sha Zang's issue is related but slightly different and comes as a result of my recent eclipse-ecj bump. ecj.jar became a symlink and unfortunately the gnu-classpath ebuild isn't able to find it in this form. I am proposing an eclass change that will allow me to handle this properly in the eclipse-ecj ebuild.

As for the original issue, I have found the cause of that too but it is failing to build here for another reason. I will attempt to fix that and hopefully get it moved into the tree.
Comment 8 James Le Cuirot gentoo-dev 2015-03-19 10:04:31 UTC
Zhu Sha Zang's issue is now fixed. I'll deal with the original issue later.